
import 'package:anchor_collect_flutter/models/user_model.dart';
import 'package:json_annotation/json_annotation.dart';

import '../generated/json/login_entity.g.dart';


@JsonSerializable()
class LoginEntity{

  late UserModel user;
  late String token;

  LoginEntity();

  factory LoginEntity.fromJson(Map<String, dynamic> json) => $LoginEntityFromJson(json);

  Map<String, dynamic> toJson() => $LoginEntityToJson(this);
}